import request from '@/utils/request'

// 查询在线客服列表
export function listGroupQrCodeInfo(query) {
    return request({
        url: '/system/groupQrCodeInfo/list',
        method: 'get',
        params: query
    })
}

// 查询在线客服详细
export function getGroupQrCodeInfo(id) {
    return request({
        url: '/system/groupQrCodeInfo/' + id,
        method: 'get'
    })
}

// 新增在线客服
export function addGroupQrCodeInfo(data) {
    return request({
        url: '/system/groupQrCodeInfo/add',
        method: 'post',
        data: data
    })
}
export function getListByUser(query) {
    return request({
        url: '/system/station/list',
        method: 'GET',
        params: query
    })
}

// 修改在线客服
export function updateGroupQrCodeInfo(data) {
    return request({
        url: '/system/groupQrCodeInfo/edit',
        method: 'post',
        data: data
    })
}

// 删除在线客服
export function delGroupQrCodeInfo(id) {
    return request({
        url: '/system/groupQrCodeInfo/' + id,
        method: 'delete'
    })
}
